.pannotation_text { 
                   display:block;  }
.pAppendix { 
            display:block;  }
.pAppendix1 { 
             display:block;  }
.pAppendix1TOC { 
                display:block;  }
.pBody { 
        font-family:Arial; 
        font-size:10pt; 
        display:block;  }
.pBodyFormat { 
              display:block;  }
.pBodyIndentForBullet { 
                       font-family:Arial; 
                       font-size:10pt; 
                       display:block;  }
.pBoldBody { 
            display:block;  }
.pBookTitle { 
             display:block;  }
.pBullet { 
          font-family:Arial; 
          font-size:10pt; 
          display:block;  }
.pBulleted { 
            font-family:Arial; 
            font-size:10pt; 
            display:block;  }
.pBulletIndent { 
                font-family:Arial; 
                font-size:10pt; 
                text-indent:0; 
                margin-left:3px; 
                display:block;  }
.pBulletIndentIndent { 
                      font-family:Arial; 
                      font-size:10pt; 
                      display:block;  }
.pBulletSub { 
             font-family:Arial; 
             font-size:10pt; 
             display:block;  }
.pBulletSubBullet { 
                   font-family:Arial; 
                   font-size:10pt; 
                   display:block;  }
.pBulletSubDash { 
                 font-family:Arial; 
                 font-size:10pt; 
                 text-indent:0; 
                 display:block;  }
.pBulletSubSingleSpace { 
                        display:block;  }
.pBulletSubSubBullet { 
                      display:block;  }
.pBulletSubSubBulletIndent { 
                            display:block;  }
.pCaution { 
           font-family:Arial; 
           font-size:10pt; 
           display:block;  }
.pCell_Note { 
             font-family:Arial; 
             font-size:9pt; 
             display:block;  }
.pCell_noteIndented { 
                     display:block;  }
.pCellBody { 
            font-family:Arial; 
            font-size:9pt; 
            display:block;  }
.pCellBullet { 
              font-family:Arial; 
              font-size:9pt; 
              display:block;  }
.pCellHeading { 
               display:block;  }
.pCellNote { 
            display:block;  }
.pChapterTitle { 
                font-family:Arial; 
                font-weight:bold; 
                font-size:16pt; 
                display:block;  }
.pChapterTitleTOC { 
                   display:block;  }
.pCLIsubhead { 
              display:block;  }
.pCopyright { 
             font-family:Arial; 
             font-size:9pt; 
             display:block;  }
.pDefault { 
           display:block;  }
.pDescription { 
               display:block;  }
.pDownlinks { 
             margin-top:0px; 
             margin-bottom:0px; 
             margin-left:0.5in; 
             margin-right:0px; 
             display:block;  }
.pDropDownClosed { 
                  display:block;  }
.pDropDownOpen { 
                display:block;  }
.pExample { 
           display:block;  }
.pExample10pt { 
               display:block;  }
.pExample8pt { 
              display:block;  }
.pExample9pt { 
              display:block;  }
.pExample9ptFirst { 
                   display:block;  }
.pExampleFormat { 
                 display:block;  }
.pFigure { 
          display:block;  }
.pFigureTitle { 
               font-family:Arial; 
               font-size:10pt; 
               text-align:Center; 
               display:block;  }
.pFigureTitleNoNumber { 
                       display:block;  }
.pFigureTitleTOC { 
                  display:block;  }
.pFooter { 
          display:block;  }
.pFootnote { 
            display:block;  }
.pFormat { 
          display:block;  }
.pGlossaryDefinition { 
                      display:block;  }
.pGlossaryTerm { 
                font-family:Arial; 
                font-size:10pt; 
                display:block;  }
.pGlossDef { 
            font-family:Arial; 
            font-size:10pt; 
            display:block;  }
.pGlossTerm { 
             font-family:Arial; 
             font-size:10pt; 
             display:block;  }
.pGrayBoxText { 
               display:block;  }
.pGroupTitlesIOM { 
                  display:block;  }
.pGroupTitlesIX { 
                 display:block;  }
.pHead2App { 
            font-family:Arial; 
            font-weight:bold; 
            font-size:12pt; 
            display:block;  }
.pHead2AppTOC { 
               display:block;  }
.pHeader { 
          display:block;  }
.pHeading1 { 
            font-family:Arial; 
            font-weight:bold; 
            font-size:14pt; 
            display:block;  }
.pHeading1Help { 
                display:block;  }
.pHeading1TOC { 
               display:block;  }
.pHeading2 { 
            font-family:Arial; 
            font-size:12pt; 
            font-weight:bold; 
            display:block;  }
.pHeading2First { 
                 font-family:Arial; 
                 font-size:12pt; 
                 display:block;  }
.pHeading2FirstTOC { 
                    display:block;  }
.pHeading2TOC { 
               display:block;  }
.pHeading3 { 
            font-family:Arial; 
            font-size:11pt; 
            font-weight:bold; 
            display:block;  }
.pHeading3TOC { 
               display:block;  }
.pHeading4 { 
            display:block;  }
.pHeading4TOC { 
               display:block;  }
.pHeading5 { 
            display:block;  }
.pHeading6 { 
            display:block;  }
.pHeadingRunIn { 
                display:block;  }
.pHeadingRunInTOC { 
                   display:block;  }
.pHelpTitle { 
             display:block;  }
.pIndented { 
            display:block;  }
.pIndentedRelative { 
                    margin-left:source; 
                    font-family:Arial; 
                    font-size:10pt; 
                    font-weight:normal; 
                    color:#000000; 
                    display:block;  }
.pIndentForDash { 
                 font-family:Arial; 
                 font-size:10pt; 
                 display:block;  }
.pIndexIOM { 
            display:block;  }
.pIndexIX { 
           display:block;  }
.pIndexTitle { 
              display:block;  }
.pIndexTitleTOC { 
                 display:block;  }
.pKeywordLinkButton { 
                     display:block;  }
.pKeywordLinkImageButton { 
                          display:block;  }
.pLevel1IOM { 
             display:block;  }
.pLevel1IX { 
            display:block;  }
.pLevel2IOM { 
             display:block;  }
.pLevel2IX { 
            display:block;  }
.pLevel3IOM { 
             display:block;  }
.pLevel3IX { 
            display:block;  }
.pLevel4IOM { 
             display:block;  }
.pLevel5IOM { 
             display:block;  }
.pMapping_Table_Cell { 
                      display:block;  }
.pMapping_Table_Title { 
                       display:block;  }
.pNewPageAfter { 
                display:block;  }
.pNewPageBefore { 
                 display:block;  }
.pnote { 
        font-family:Arial; 
        font-size:10pt; 
        display:block; 
        font-family:Arial; 
        font-size:10pt; 
        display:block;  }
.pNoteCaution { 
               font-family:Arial; 
               font-size:10pt; 
               display:block;  }
.pNoteIndent { 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pNoteIndented { 
                font-family:Arial; 
                font-size:10pt; 
                display:block;  }
.pNoteIndentIndent { 
                    font-family:Arial; 
                    font-size:10pt; 
                    display:block;  }
.pnotes { 
         font-family:Arial; 
         font-size:10pt; 
         display:block;  }
.pNotesIndented { 
                 font-family:Arial; 
                 font-size:10pt; 
                 display:block;  }
.pNotesIndentForBullet { 
                        font-family:Arial; 
                        font-size:10pt; 
                        display:block;  }
.pNoteTable { 
             font-family:Arial; 
             font-size:9pt; 
             display:block;  }
.pNoteTableindent { 
                   display:block;  }
.pNumbered { 
            display:block;  }
.pNumbered1 { 
             display:block;  }
.pOrdered { 
           font-family:Arial; 
           font-size:10pt; 
           display:block;  }
.pOrdered_indent { 
                  display:block; 
                  display:block;  }
.pOrdered1 { 
            font-family:Arial; 
            font-size:10pt; 
            display:block;  }
.pOrdered1Annotated { 
                     font-family:Arial; 
                     font-size:10pt; 
                     display:block;  }
.pOrdered1Sub { 
               font-family:Arial; 
               font-size:10pt; 
               display:block;  }
.pOrdered2Sub { 
               display:block;  }
.pOrderedAnnotated { 
                    font-family:Arial; 
                    font-size:10pt; 
                    display:block;  }
.pOrderedIndent { 
                 display:block;  }
.pOrderedSub { 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pOrderedSub_indent { 
                     display:block;  }
.pOutput8pt { 
             display:block;  }
.pParagraph { 
             display:block;  }
.pPassthrough { 
               display:block;  }
.pPopup { 
         display:block;  }
.pPopupAppend { 
               display:block;  }
.pPopupOnly { 
             display:block;  }
.pPopupOnlyAppend { 
                   display:block;  }
.pPreface { 
           display:block;  }
.pPrefaceHeading { 
                  font-family:Arial; 
                  font-weight:bold; 
                  font-size:14pt; 
                  display:block;  }
.pPrefaceHeadingTOC { 
                     display:block;  }
.pPrefaceSub { 
              font-family:Arial; 
              font-weight:bold; 
              font-size:12pt; 
              display:block;  }
.pPrefaceSubTOC { 
                 display:block;  }
.pPrefaceTitle { 
                font-family:Arial; 
                font-weight:bold; 
                font-size:16pt; 
                display:block;  }
.pPrefaceTitleTOC { 
                   display:block;  }
.pPrefaceTOC { 
              display:block;  }
.pPreformatted { 
                display:block;  }
.pPreformattedRelative { 
                        display:block;  }
.pProductTitle { 
                display:block;  }
.pPullDownBody { 
                display:block;  }
.pPullDownButton { 
                  margin-bottom:6pt; 
                  display:block;  }
.pQuickChapterTOC { 
                   display:block;  }
.pQuotation { 
             display:block;  }
.pRelatedTopic { 
                display:block;  }
.pRelatedTopicOnly { 
                    display:block;  }
.pRelatedTopicOnlyImageButton { 
                               display:block;  }
.pscreenExample { 
                 font-family:Courier New; 
                 font-size:9pt; 
                 display:block;  }
.pSeeAlsoButton { 
                 display:block;  }
.pSeeAlsoImageButton { 
                      display:block;  }
.pSingleLine { 
              display:block;  }
.pSmartList1 { 
              text-indent:0; 
              margin-left:0; 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pSmartList2 { 
              text-indent:0; 
              margin-left:0; 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pSmartList3 { 
              text-indent:0; 
              margin-left:0; 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pSmartList4 { 
              text-indent:0; 
              margin-left:0; 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.pSmartList5 { 
              text-indent:0; 
              margin-left:0; 
              display:block;  }
.pSmartList6 { 
              text-indent:0; 
              margin-left:0; 
              display:block;  }
.pSplash_Graphic { 
                  display:block;  }
.pStep { 
        font-family:Arial; 
        font-size:10pt; 
        display:block;  }
.pStep1 { 
         font-family:Arial; 
         font-size:10pt; 
         display:block;  }
.pStepIndent { 
              font-family:Arial; 
              font-size:10pt; 
              display:block;  }
.psubheadEXAMPLE { 
                  display:block;  }
.psubheadFORMAT { 
                 display:block;  }
.pTableFootnote { 
                 display:block;  }
.pTableTitle { 
              text-align:Center; 
              font-family:Arial; 
              font-weight:bold; 
              font-size:10pt; 
              display:block;  }
.pTableTitleNoNumber { 
                      font-family:Arial; 
                      font-weight:bold; 
                      font-size:10pt; 
                      display:block;  }
.pTableTitleTOC { 
                 display:block;  }
.pTitle { 
         display:block;  }
.pTOC1 { 
        margin-left:0em; 
        font-weight:bold; 
        display:block;  }
.pTOC2 { 
        margin-left:1em; 
        display:block;  }
.pTOC3 { 
        margin-left:2em; 
        display:block;  }
.pTOC4 { 
        margin-left:3em; 
        display:block;  }
.pTOC5 { 
        margin-left:4em; 
        display:block;  }
.pTOC6 { 
        margin-left:5em; 
        display:block;  }
.pTOCTitle { 
            display:block;  }
.pUplinks { 
           display:block;  }
.pWhatIsThis { 
              display:block;  }
.pWhatIsThisAppend { 
                    display:block;  }
.pWhatIsThisOnly { 
                  display:block;  }
.pWhatIsThisOnlyAppend { 
                        display:block;  }
.pz_Top_of_Form { 
                 display:block;  }
.liBody { 
         font-family:Arial; 
         font-size:10pt;  }
.liBodyIndentForBullet { 
                        font-family:Arial; 
                        font-size:10pt;  }
.liBullet { 
           font-family:Arial; 
           font-size:10pt;  }
.liBulleted { 
             font-family:Arial; 
             font-size:10pt;  }
.liBulletIndent { 
                 font-family:Arial; 
                 font-size:10pt; 
                 text-indent:0; 
                 margin-left:3px;  }
.liBulletIndentIndent { 
                       font-family:Arial; 
                       font-size:10pt;  }
.liBulletSub { 
              font-family:Arial; 
              font-size:10pt;  }
.liBulletSubBullet { 
                    font-family:Arial; 
                    font-size:10pt;  }
.liBulletSubDash { 
                  font-family:Arial; 
                  font-size:10pt; 
                  text-indent:0;  }
.liCaution { 
            font-family:Arial; 
            font-size:10pt;  }
.liCell_Note { 
              font-family:Arial; 
              font-size:9pt;  }
.liCellBody { 
             font-family:Arial; 
             font-size:9pt;  }
.liCellBullet { 
               font-family:Arial; 
               font-size:9pt;  }
.liChapterTitle { 
                 font-family:Arial; 
                 font-weight:bold; 
                 font-size:16pt;  }
.liCopyright { 
              font-family:Arial; 
              font-size:9pt;  }
.liDownlinks { 
              margin-top:0px; 
              margin-bottom:0px; 
              margin-left:0.5in; 
              margin-right:0px;  }
.liFigureTitle { 
                font-family:Arial; 
                font-size:10pt; 
                text-align:Center;  }
.liGlossaryTerm { 
                 font-family:Arial; 
                 font-size:10pt;  }
.liGlossDef { 
             font-family:Arial; 
             font-size:10pt;  }
.liGlossTerm { 
              font-family:Arial; 
              font-size:10pt;  }
.liHead2App { 
             font-family:Arial; 
             font-weight:bold; 
             font-size:12pt;  }
.liHeading1 { 
             font-family:Arial; 
             font-weight:bold; 
             font-size:14pt;  }
.liHeading2 { 
             font-family:Arial; 
             font-size:12pt; 
             font-weight:bold;  }
.liHeading2First { 
                  font-family:Arial; 
                  font-size:12pt;  }
.liHeading3 { 
             font-family:Arial; 
             font-size:11pt; 
             font-weight:bold;  }
.liIndentedRelative { 
                     margin-left:source; 
                     font-family:Arial; 
                     font-size:10pt; 
                     font-weight:normal; 
                     color:#000000;  }
.liIndentForDash { 
                  font-family:Arial; 
                  font-size:10pt;  }
.linote { 
         font-family:Arial; 
         font-size:10pt; 
         font-family:Arial; 
         font-size:10pt;  }
.liNoteCaution { 
                font-family:Arial; 
                font-size:10pt;  }
.liNoteIndent { 
               font-family:Arial; 
               font-size:10pt;  }
.liNoteIndented { 
                 font-family:Arial; 
                 font-size:10pt;  }
.liNoteIndentIndent { 
                     font-family:Arial; 
                     font-size:10pt;  }
.linotes { 
          font-family:Arial; 
          font-size:10pt;  }
.liNotesIndented { 
                  font-family:Arial; 
                  font-size:10pt;  }
.liNotesIndentForBullet { 
                         font-family:Arial; 
                         font-size:10pt;  }
.liNoteTable { 
              font-family:Arial; 
              font-size:9pt;  }
.liOrdered { 
            font-family:Arial; 
            font-size:10pt;  }
.liOrdered1 { 
             font-family:Arial; 
             font-size:10pt;  }
.liOrdered1Annotated { 
                      font-family:Arial; 
                      font-size:10pt;  }
.liOrdered1Sub { 
                font-family:Arial; 
                font-size:10pt;  }
.liOrderedAnnotated { 
                     font-family:Arial; 
                     font-size:10pt;  }
.liOrderedSub { 
               font-family:Arial; 
               font-size:10pt;  }
.liPrefaceHeading { 
                   font-family:Arial; 
                   font-weight:bold; 
                   font-size:14pt;  }
.liPrefaceSub { 
               font-family:Arial; 
               font-weight:bold; 
               font-size:12pt;  }
.liPrefaceTitle { 
                 font-family:Arial; 
                 font-weight:bold; 
                 font-size:16pt;  }
.liPullDownButton { 
                   margin-bottom:6pt;  }
.liscreenExample { 
                  font-family:Courier New; 
                  font-size:9pt;  }
.liSmartList1 { 
               text-indent:0; 
               margin-left:0; 
               font-family:Arial; 
               font-size:10pt;  }
.liSmartList2 { 
               text-indent:0; 
               margin-left:0; 
               font-family:Arial; 
               font-size:10pt;  }
.liSmartList3 { 
               text-indent:0; 
               margin-left:0; 
               font-family:Arial; 
               font-size:10pt;  }
.liSmartList4 { 
               text-indent:0; 
               margin-left:0; 
               font-family:Arial; 
               font-size:10pt;  }
.liSmartList5 { 
               text-indent:0; 
               margin-left:0;  }
.liSmartList6 { 
               text-indent:0; 
               margin-left:0;  }
.liStep { 
         font-family:Arial; 
         font-size:10pt;  }
.liStep1 { 
          font-family:Arial; 
          font-size:10pt;  }
.liStepIndent { 
               font-family:Arial; 
               font-size:10pt;  }
.liTableTitle { 
               text-align:Center; 
               font-family:Arial; 
               font-weight:bold; 
               font-size:10pt;  }
.liTableTitleNoNumber { 
                       font-family:Arial; 
                       font-weight:bold; 
                       font-size:10pt;  }
.liTOC1 { 
         margin-left:0em; 
         font-weight:bold;  }
.liTOC2 { 
         margin-left:1em;  }
.liTOC3 { 
         margin-left:2em;  }
.liTOC4 { 
         margin-left:3em;  }
.liTOC5 { 
         margin-left:4em;  }
.liTOC6 { 
         margin-left:5em;  }
.c_Override { 
             display:inline;  }
.cAbbreviation { 
                display:inline;  }
.cAcronym { 
           display:inline;  }
.cAnnotatedWhiteNumber { 
                        display:inline;  }
.cAutonumberAtEnd { 
                   float:right; 
                   display:inline;  }
.cbold { 
        display:inline; 
        display:inline;  }
.cCode { 
        display:inline;  }
.cCommandText { 
               display:inline;  }
.cCommandText8pt { 
                  display:inline;  }
.cCommandText9pt { 
                  font-family:Courier New; 
                  font-size:9pt; 
                  display:inline;  }
.cCommandText9Variable { 
                        font-family:Courier New; 
                        font-size:9pt; 
                        display:inline;  }
.cCommandTextVariable { 
                       display:inline;  }
.ccomment { 
           display:inline;  }
.cDefault { 
           display:inline;  }
.cEmphasis { 
            display:inline;  }
.cEquationVariables { 
                     display:inline;  }
.cExample_8pt { 
               display:inline;  }
.cExpandingTextBody { 
                     display:inline;  }
.cExpandingTextButton { 
                       display:inline;  }
.cGlossaryTerm { 
                font-weight:bold; 
                display:inline;  }
.cGray10pt { 
            display:inline;  }
.cGray10ptCourier { 
                   display:inline;  }
.cGray11pt { 
            display:inline;  }
.cGray9ptCour { 
               display:inline;  }
.cHeaderText { 
              display:inline;  }
.cHeading12 { 
             display:inline;  }
.cHyperlink { 
             display:inline;  }
.cKeywordLinkButton { 
                     display:inline;  }
.cKeywordLinkImageButton { 
                          display:inline;  }
.cNoteArialBold { 
                 font-size:9pt; 
                 display:inline;  }
.cnotebold { 
            font-family:Arial; 
            font-weight:bold; 
            font-size:10pt; 
            display:inline; 
            font-family:Arial; 
            font-size:10pt; 
            display:inline;  }
.cNoteBoldTable { 
                 font-family:Arial; 
                 font-weight:bold; 
                 font-size:9pt; 
                 display:inline;  }
.cPassthrough { 
               display:inline;  }
.cQuotation { 
             display:inline;  }
.cRegular { 
           font-family:Arial; 
           font-size:10pt; 
           display:inline;  }
.cRegular10 { 
             font-family:Arial; 
             display:inline;  }
.cRegular10Bold { 
                 display:inline;  }
.cRegularBold { 
               font-family:Arial; 
               font-size:10pt; 
               display:inline;  }
.cSeeAlsoButton { 
                 display:inline;  }
.cSeeAlsoImageButton { 
                      display:inline;  }
.cSubscript { 
             display:inline;  }
.cSuperscript { 
               display:inline;  }
.ctbd_comment { 
               display:inline; 
               display:inline;  }
.cUnderline { 
             display:inline;  }
.cWebJump { 
           display:inline;  }
.cwindow { 
          display:inline;  }
.link_DropDownButton {  }
.link_DropDownButton:hover { 
                            color:red; 
                            background-color:darkgray;  }
.link_ExpandingTextButton {  }
.link_ExpandingTextButton:hover { 
                                 color:yellow; 
                                 background-color:darkgray;  }
.link_FootnoteAnchor { 
                      color:#d3d3d3; 
                      vertical-align:super; 
                      font-size:80%;  }
.link_FootnoteNumber { 
                      color:#d3d3d3; 
                      vertical-align:super; 
                      font-size:80%;  }
.link_GroupTitleLink { 
                      text-decoration:none;  }
.link_PullDownButton {  }
.link_PullDownButton:hover { 
                            color:red; 
                            background-color:darkgray;  }
.link_TableFootnoteAnchor { 
                           color:#d3d3d3; 
                           vertical-align:super; 
                           font-size:80%;  }
.link_TableFootnoteNumber { 
                           color:#d3d3d3; 
                           vertical-align:super; 
                           font-size:80%;  }
.link_TOC { 
           text-decoration:none;  }
body { 
      font-size:10pt; 
      font-family:Arial;  }
.container_CollapsibleStructureBody { 
                                     display:block; 
                                     font-weight:normal; 
                                     padding-left:0px; 
                                     padding-top:0px; 
                                     padding-right:0px; 
                                     padding-bottom:0px; 
                                     border-left-style:none; 
                                     border-left-width:0px; 
                                     border-right-style:none; 
                                     border-right-width:0px; 
                                     border-top-style:none; 
                                     border-top-width:0px; 
                                     border-bottom-style:none; 
                                     border-bottom-width:0px;  }
.container_CollapsibleStructureCaption { 
                                        display:block; 
                                        font-weight:bold; 
                                        border-style-bottom:solid; 
                                        border-style-width:1px; 
                                        border-style-color:black; 
                                        cursor:default; 
                                        padding-left:0px; 
                                        padding-top:0px; 
                                        padding-right:0px; 
                                        padding-bottom:0px; 
                                        border-left-style:none; 
                                        border-left-width:0px; 
                                        border-right-style:none; 
                                        border-right-width:0px; 
                                        border-top-style:none; 
                                        border-top-width:0px; 
                                        border-bottom-style:none; 
                                        border-bottom-width:0px;  }
.container_Default { 
                    padding-left:0px; 
                    padding-top:0px; 
                    padding-right:0px; 
                    padding-bottom:0px; 
                    border-left-style:none; 
                    border-left-width:0px; 
                    border-right-style:none; 
                    border-right-width:0px; 
                    border-top-style:none; 
                    border-top-width:0px; 
                    border-bottom-style:none; 
                    border-bottom-width:0px;  }
.container_Downlinks { 
                      margin-top:6pt; 
                      padding-top:6pt; 
                      margin-bottom:6pt; 
                      padding-bottom:0pt; 
                      border-top-style:solid; 
                      border-top-width:1px; 
                      padding-left:0px; 
                      padding-right:0px; 
                      border-left-style:none; 
                      border-left-width:0px; 
                      border-right-style:none; 
                      border-right-width:0px; 
                      border-bottom-style:none; 
                      border-bottom-width:0px;  }
.container_DropDownBody { 
                         padding-left:0px; 
                         padding-top:0px; 
                         padding-right:0px; 
                         padding-bottom:0px; 
                         border-left-style:none; 
                         border-left-width:0px; 
                         border-right-style:none; 
                         border-right-width:0px; 
                         border-top-style:none; 
                         border-top-width:0px; 
                         border-bottom-style:none; 
                         border-bottom-width:0px;  }
.container_Footnote { 
                     padding-left:0px; 
                     padding-top:0px; 
                     padding-right:0px; 
                     padding-bottom:0px; 
                     border-left-style:none; 
                     border-left-width:0px; 
                     border-right-style:none; 
                     border-right-width:0px; 
                     border-top-style:none; 
                     border-top-width:0px; 
                     border-bottom-style:none; 
                     border-bottom-width:0px;  }
.container_Footnotes { 
                      margin-top:10pt; 
                      padding-top:5pt; 
                      clear:left; 
                      border-top-style:solid; 
                      border-top-width:1px; 
                      padding-left:0px; 
                      padding-right:0px; 
                      padding-bottom:0px; 
                      border-left-style:none; 
                      border-left-width:0px; 
                      border-right-style:none; 
                      border-right-width:0px; 
                      border-bottom-style:none; 
                      border-bottom-width:0px;  }
.container_GroupTitleLinks { 
                            cursor:default; 
                            padding-left:0px; 
                            padding-top:0px; 
                            padding-right:0px; 
                            padding-bottom:0px; 
                            border-left-style:none; 
                            border-left-width:0px; 
                            border-right-style:none; 
                            border-right-width:0px; 
                            border-top-style:none; 
                            border-top-width:0px; 
                            border-bottom-style:none; 
                            border-bottom-width:0px;  }
.container_Image { 
                  border-top-style:solid; 
                  border-bottom-style:solid; 
                  padding-top:5px; 
                  padding-bottom:5px; 
                  text-align:Center; 
                  padding-left:0px; 
                  padding-right:0px; 
                  border-left-style:none; 
                  border-left-width:0px; 
                  border-right-style:none; 
                  border-right-width:0px; 
                  border-top-width:0px; 
                  border-bottom-width:0px;  }
.container_Index { 
                  padding-left:0px; 
                  padding-top:0px; 
                  padding-right:0px; 
                  padding-bottom:0px; 
                  border-left-style:none; 
                  border-left-width:0px; 
                  border-right-style:none; 
                  border-right-width:0px; 
                  border-top-style:none; 
                  border-top-width:0px; 
                  border-bottom-style:none; 
                  border-bottom-width:0px;  }
.container_OutsetBox { 
                      background-color:#c0c0c0; 
                      padding-left:5px; 
                      padding-top:5px; 
                      padding-right:5px; 
                      padding-bottom:5px; 
                      border-left-style:outset; 
                      border-left-width:2px; 
                      border-right-style:outset; 
                      border-right-width:2px; 
                      border-top-style:outset; 
                      border-top-width:2px; 
                      border-bottom-style:outset; 
                      border-bottom-width:2px;  }
.container_Popup { 
                  background-color:#ffffe1; 
                  cursor:default; 
                  padding-top:6pt; 
                  padding-bottom:6pt; 
                  padding-left:6pt; 
                  padding-right:6pt; 
                  border-left-style:solid; 
                  border-left-width:1px; 
                  border-left-color:#000000; 
                  border-right-style:solid; 
                  border-right-width:1px; 
                  border-right-color:#000000; 
                  border-top-style:solid; 
                  border-top-width:1px; 
                  border-top-color:#000000; 
                  border-bottom-style:solid; 
                  border-bottom-width:1px; 
                  border-bottom-color:#000000;  }
.container_PullDownBody { 
                         padding-left:5px; 
                         border-left-style:solid; 
                         border-left-width:1px; 
                         border-left-color:#000000; 
                         margin-bottom:6pt; 
                         margin-top:6pt; 
                         padding-top:0px; 
                         padding-right:0px; 
                         padding-bottom:0px; 
                         border-right-style:none; 
                         border-right-width:0px; 
                         border-top-style:none; 
                         border-top-width:0px; 
                         border-bottom-style:none; 
                         border-bottom-width:0px;  }
.container_TableFootnote { 
                          padding-left:0px; 
                          padding-top:0px; 
                          padding-right:0px; 
                          padding-bottom:0px; 
                          border-left-style:none; 
                          border-left-width:0px; 
                          border-right-style:none; 
                          border-right-width:0px; 
                          border-top-style:none; 
                          border-top-width:0px; 
                          border-bottom-style:none; 
                          border-bottom-width:0px;  }
.container_TableFootnotes { 
                           clear:left; 
                           margin-bottom:12pt; 
                           margin-top:4pt; 
                           padding-left:0px; 
                           padding-top:0px; 
                           padding-right:0px; 
                           padding-bottom:0px; 
                           border-left-style:none; 
                           border-left-width:0px; 
                           border-right-style:none; 
                           border-right-width:0px; 
                           border-top-style:none; 
                           border-top-width:0px; 
                           border-bottom-style:none; 
                           border-bottom-width:0px;  }
.container_TableThumbnail { 
                           padding-left:0px; 
                           padding-top:0px; 
                           padding-right:0px; 
                           padding-bottom:0px; 
                           border-left-style:none; 
                           border-left-width:0px; 
                           border-right-style:none; 
                           border-right-width:0px; 
                           border-top-style:none; 
                           border-top-width:0px; 
                           border-bottom-style:none; 
                           border-bottom-width:0px;  }
.container_Uplinks { 
                    margin-top:6pt; 
                    padding-top:0pt; 
                    margin-bottom:6pt; 
                    padding-bottom:0pt; 
                    border-bottom-style:solid; 
                    border-bottom-width:1px; 
                    padding-left:0px; 
                    padding-right:0px; 
                    border-left-style:none; 
                    border-left-width:0px; 
                    border-right-style:none; 
                    border-right-width:0px; 
                    border-top-style:none; 
                    border-top-width:0px;  }
.control_CollapsibleStructureButton { 
                                     margin-right:5px; 
                                     vertical-align:baseline;  }
.control_Default { 
                  vertical-align:baseline;  }
.control_DropDownButton { 
                         cursor:default; 
                         margin-right:5px; 
                         vertical-align:baseline;  }
.control_DropDownOpenButton { 
                             cursor:default; 
                             margin-right:5px; 
                             vertical-align:baseline;  }
.control_ExpandingTextButton { 
                              cursor:default; 
                              margin-left:5px; 
                              margin-right:5px; 
                              vertical-align:baseline;  }
.control_KeywordLinkButton { 
                            vertical-align:baseline;  }
.control_KeywordLinkImageButton { 
                                 margin-left:5px; 
                                 vertical-align:baseline;  }
.control_PullDownButton { 
                         cursor:default; 
                         margin-right:5px; 
                         vertical-align:baseline;  }
.control_RelatedTopicsButton { 
                              vertical-align:baseline;  }
.control_RelatedTopicsImageButton { 
                                   margin-left:5px; 
                                   vertical-align:baseline;  }
.control_SeeAlsoButton { 
                        vertical-align:baseline;  }
.control_SeeAlsoImageButton { 
                             margin-left:5px; 
                             vertical-align:baseline;  }
